Subject: Re: Samba for Cygwin
From: Gunnar Andre Dalsnes <[email-masked]>
To: [email-masked]
Cc: "Michael F. March" <[email-masked]>
Date: Mon, 20 Aug 2001 23:34:33 +0200

At 20.08.01 22:53 , you wrote:

> > >I happen to prefer the administration of Samba to traditional NT/2k
> > >shares. That is also why I use Apache under Win2K instead of
> > >IIS.
> > 
> > In this case, I'd just have to say "Get over it".  It sounds like an
> > a lot of work to port a file service layer on top of an *existing*
> > completely operational layer.  Administration of shares on Windows is
> > hardly complicated.
> >
> > The Windows OS doesn't implicitly support the http protocol.  So, you
> > can choose whatever web server you want.  Windows does implicitly
> > support the SMB protocol.  It invented the SMB protocol.  In this case
> > porting a UNIX application to Windows to support something that existed
> > on Windows first doesn't make much sense to me.
> > 
> > I can just see the "Why is Samba so slow on Cygwin?" posts now.
>
>Even if no one ever used SAMBA for Cygwin, the port would not
>be in vain. I am certain that a SAMBA port would result in a 
>more hardier Cygwin POSIX environment for future ports of other
>apps that might experience the same porting issues if SAMBA was
>not ported first.

I've actually tested samba on cygwin/NT once, with partially success.
It compiled almost 'out of the box'.
Some / all of NT's native networking services had to be disabled to make it work:-(
Some major synchronization problems with samba's user database made me give up.
Some day cygwin may run samba 'out of the box', but not no.
Not without porting...

Gunnar

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/